#

## rotate

Rotate the selection and box clockwise by the indicated amount.

### Usage:

> rotate [+|-][degrees] [-origin]

> > where degrees is the number of degrees to rotate, and must be a manhattan amount (90, 180, 270).

### Summary:

> The rotate command rotates the current selection by the specified amount, in degrees. The default rotation is by 90 degrees. The amount of rotation can be positive or negative, but must be one of the Manhattan rotations 90, 180, or 270.

> If -origin is specified, the rotation is around the origin of the selection, not around the lower left-hand corner.

### Implementation Notes:

> rotate is implemented as a built-in magic command. It is equivalent to the clockwise command but allows negative values to represent counterclockwise rotation.

### See Also:

> clockwise

Return to command index

Last updated: January 15, 2021 at 12:46pm